const t = (o) => {
  var n;
  return (n = o == null ? void 0 : o.ownerDocument) !== null && n !== void 0 ? n : document;
}, e = (o) => o && "window" in o && o.window === o ? o : t(o).defaultView || window;
function d(o) {
  return o !== null && typeof o == "object" && "nodeType" in o && typeof o.nodeType == "number";
}
function c(o) {
  return d(o) && o.nodeType === Node.DOCUMENT_FRAGMENT_NODE && "host" in o;
}
export {
  t as getOwnerDocument,
  e as getOwnerWindow,
  c as isShadowRoot
};
